<?php 
/* * **************************************************************************************\
 * *   @name		EXP JaM Ajax Contact - Free                                       	**
 * *   @package     Joomla 3.x                                                      	**
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                	**
 * *   @copyright	Copyright (C) 2005 - 2017  EXP TEAM::Alexey Kurguz (Grusha)     	**
 * *   @link        http://www.feellove.eu                                          	**
 * *   @license		GNU General Public License version 2 or later; see LICENSE.txt		**
 \****************************************************************************************/

defined('_JEXEC') or die;

$document = JFactory::getDocument();

if ($params->get('jquery', 0) == 1) {
	JHtml::_('bootstrap.framework');
} elseif ($params->get('jquery', 0) == 2) {
	$document->addScript(JURI::root(true) . '/modules/mod_jamcontact/js/jquery.min.js');
}

$use_phone = $params->get('use_phone_field', 1);
$use_email = $params->get('use_email_field', 1);
$use_mess = $params->get('use_mess_field', 1);
$req_icon = '*';
$req_phone = null;
$req_email = null;
$req_mess = null;
if($params->get('phone_req', 1)){
	$req_phone = $req_icon;
}
if($params->get('email_req', 1)){
	$req_email = $req_icon;
}
if($params->get('mess_req', 1)){
	$req_mess = $req_icon;
}

$document->addStyleSheet(JURI::root(true) . '/modules/mod_jamcontact/css/mod_jamcontact.css');
$document->addScript(JURI::root(true) . '/modules/mod_jamcontact/js/jquery.jamcontact.js');
$document->addScript(JURI::root(true) . '/modules/mod_jamcontact/js/validator.min.js');

?>
<div class="modjamcontact jam_contact_mod">
	<form action="" class="jamcontact_form" data-expjamcontact="true"  data-jamcontactcaptcha="<?php echo $params->get('usecaptcha', 0);?>" data-jamcontacttoken="<?php echo JSession::getFormToken();?>"  data-toggle="validator" role="form">
		<?php if($use_phone):?>
			<p>
				<div class="form-group <?php echo $params->get('has_feedback', '');?>">
					<div class="input-group">
						<span class="input-group-addon" id="basic-phone"><span class="<?php echo $params->get('icon_phone', 'glyphicon glyphicon-phone');?>"></span></span>
						<input type="text" name="phone" pattern="<?php echo $params->get('contact_pattern', '(\+?\d[- .]*){7,13}');?>" class="basic-phone <?php echo $params->get('jam_input_class', 'form-control');?>" placeholder="<?php echo JText::_('MOD_JAMCONTACT_PHONE_TEXT');?><?php echo $req_phone;?>" aria-describedby="basic-phone" data-error="<?php echo JText::_('MOD_JAMCONTACT_ERROR_PHONE_TEXT');?>" <?php if($req_phone):?>required<?php endif;?>>
						<span class="glyphicon form-control-feedback" aria-hidden="true"></span>
						<div class="help-block with-errors"></div>
					</div>
				</div>
			</p>
		<?php else:?>
			<input type="hidden" name="phone">
		<?php endif;?>
		<?php if($use_email):?>
			<p>
				<div class="form-group <?php echo $params->get('has_feedback', '');?>">
					<div class="input-group">
						<span class="input-group-addon" id="basic-email"><span class="<?php echo $params->get('icon_email', 'glyphicon glyphicon-envelope');?>"></span></span>
						<input type="email" pattern=".*@\w{2,}\.\w{2,}" name="email" class="<?php echo $params->get('jam_input_class', 'form-control');?>" placeholder="<?php echo JText::_('MOD_JAMCONTACT_EMAIL_TEXT');?><?php echo $req_email;?>" aria-describedby="basic-email" data-error="<?php echo JText::_('MOD_JAMCONTACT_ERROR_EMAIL_TEXT');?>" <?php if($req_email):?>required<?php endif;?>>
						<span class="glyphicon form-control-feedback" aria-hidden="true"></span>
						<div class="help-block with-errors"></div>
					</div>
				</div>
			</p>
		<?php else:?>
			<input type="hidden" name="email">
		<?php endif;?>
		<?php if($use_mess):?>
			<p>
				<div class="form-group <?php echo $params->get('has_feedback', '');?>">
					<div class="input-group">
						<span class="input-group-addon" id="basic-message"><span class="<?php echo $params->get('icon_message', 'glyphicon glyphicon-pencil');?>"></span></span>
						<textarea name="message" class="<?php echo $params->get('jam_input_class', 'form-control');?>" cols="10" rows="3"  placeholder="<?php echo JText::_('MOD_JAMCONTACT_MESSAGE_TEXT');?><?php echo $req_mess;?>" aria-describedby="basic-message" data-error="<?php echo JText::_('MOD_JAMCONTACT_ERROR_MESSAGE_TEXT');?>" <?php if($req_mess):?>required<?php endif;?>></textarea>
						<span class="glyphicon form-control-feedback" aria-hidden="true"></span>
						<div class="help-block with-errors"></div>
					</div>
				</div>
			</p>
		<?php else:?>
			<input type="hidden" name="message">
		<?php endif;?>
		<?php if($params->get('usecaptcha', 0)):?>
			<p>
				<?php echo JCaptcha::getInstance( 'recaptcha' )->display( 'captcha', 'captcha', 'captcha' );?>
			</p>
		<?php endif;?>
		<button type="submit" class="jamcontact_btn btn btn-primary btn-block"><span class="<?php echo $params->get('icon_send', 'glyphicon glyphicon-envelope');?>"></span> <?php echo JText::_('MOD_JAMCONTACT_SEND_TEXT');?></button>
		<input type="text" name="<?php echo $params->get('sec_field', 'forbot');?>" class="jam_forbot" value="">
		<div class="jam_contact_status" role="alert"></div>
	</form>
</div>	